package com.dsic.gj_erp.controller.jhgk;


import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jhgk.DmYdjh;
import com.dsic.gj_erp.service.jhgk.DmYdjhService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-11-09
 */
@RestController
@RequestMapping("/dmYdjh")
public class DmYdjhController {

    @Autowired
    private DmYdjhService service;

    @RequestMapping("/getList")
    @AuthFunction
    public ResultBean getList(@RequestBody Map<String, String> map){
        List<DmYdjh> list= service.list(new QueryWrapper<DmYdjh>()
                .eq(StrUtil.isNotEmpty(map.get("dcCh")),"dc_ch",map.get("dcCh"))
                .ge(StrUtil.isNotEmpty(map.get("yf")), "jssj", DateUtil.beginOfMonth(DateUtil.parseDate(map.get("yf"))))
                .le(StrUtil.isNotEmpty(map.get("yf")), "jssj", DateUtil.endOfMonth(DateUtil.parseDate(map.get("yf"))))
                .orderByAsc("jssj,dc_ch,dc_pl")
        );
        return new ResultBean(list);
    }

    @RequestMapping("/tjydjh")
    @AuthFunction
    public ResultBean tjydjh(){
        return new ResultBean(service.tjydjh());
    }

    @RequestMapping("/hz")
    @AuthFunction
    public ResultBean hz(@RequestBody List<DmYdjh> list){
        return new ResultBean(service.hz(list));
    }
}

